%define name gstreamer-player
%define version 0.6.0
%define release 1mdk
%define major 0
%define libname %mklibname gstplayer %major
%define gstver 0.6.3
%define __libtoolize true

Name: 		   %name
Summary: 	   GStreamer Streaming media framework player
Version: 	   %version
Release: 	   %release
License: 	   LGPL
Group: 		   Sound
URL:		   http://www.gstreamer.net
Source: 	   http://gstreamer.net/releases/%{version}/src/gst-player-%{version}.tar.bz2
Source1:	  %name-32.png
Source2:	  %name-16.png
BuildRoot: 	  %{_tmppath}/%{name}-%{version}-root
Requires:	  gstreamer >= %gstver
Requires:	  gstreamer-GConf >= %gstver
Requires:	  gstreamer-audio-effects >= %gstver
Requires:	  gstreamer-colorspace >= %gstver
Requires:	  gstreamer-avi >= %gstver
Requires:	  gstreamer-gnomevfs >= %gstver
Requires:	  gstreamer-mpeg >= %gstver
Requires:	  gstreamer-play >= %gstver
Requires:	  gstreamer-mad >= %gstver
Requires:	  gstreamer-vorbis >= %gstver
Requires:	  gstreamer-oss >= %gstver
Requires:	  gstreamer-xvideosink >= %gstver
BuildRequires:	  gstreamer-plugins-devel >= %gstver
BuildRequires:	  libnautilus-devel
BuildRequires:	  mozilla-devel
BuildRequires:	  intltool
 

%description
This package contains the GStreamer media player.

%package -n %libname
Summary:	GStreamer player shared library
Group:		System/Libraries

%description -n %libname
This package contains the shared library needed to run the GStreamer
media player.

%package -n %libname-devel
Summary:	GStreamer player development files
Group:		Development/C
Requires:	%libname = %version-%release
Requires:	libgstreamer-devel >= %gstver
Provides:	libgstplayer-devel = %version-%release

%description -n %libname-devel
This packages contains the C headers and static library to compile
programs based on the GStreamer media player.

%package nautilus
Summary:        GStreamer nautilus view.
Group:          Video
Requires:       %name = %{version}-%release
Requires:	nautilus

%description nautilus
GStreamer nautilus view for media files.


%package mozilla
Summary:	Gstreamer Mozilla plugin
Group:		Video
Requires:	%name = %{version}-%release

%description mozilla
GStreamer Mozilla browser plugin

%prep
%setup -q -n  gst-player-%{version}

%build
%configure2_5x  --enable-debug --disable-dependency-tracking \
  --with-configdir=%{_sysconfdir}/gstreamer \
  --enable-tests --enable-examples --enable-debug-color \
  --enable-docs-build

%make

%install 
rm -rf %buildroot

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
%makeinstall 
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name):command="gst-player" needs="X11" section="Multimedia/Video" \
title="GStreamer player" icon="%name.png" \
longtitle="GStreamer Streaming media framework player" 
EOF
%find_lang gst-player
#icons
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %{_datadir}/pixmaps/gst-player-48.png %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE1 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.png
#clear unpackaged files
rm -f %buildroot%_libdir/gst/*.la
rm -f %buildroot%_libdir/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/libmozstreamer.la
%post -n %libname -p /sbin/ldconfig 
         
%postun -n %libname -p /sbin/ldconfig  

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gst-player.schemas > /dev/null
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT  
 
%files -f gst-player.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/gconf/schemas/gst-player.schemas
%{_bindir}/gst-player
%{_bindir}/gst-player-gtk
%_mandir/man1/gst*.*
%{_datadir}/applications/gst-player.desktop
%dir %{_datadir}/gst-player
%dir %{_datadir}/gst-player/ui/
%{_datadir}/gst-player/ui/*.png
%{_datadir}/gst-player/ui/gst-player.glade
%{_datadir}/gst-player/ui/mediacontrol.glade
%{_datadir}/gst-player/ui/playlist.glade
%{_datadir}/pixmaps/gst-player-48.png
%{_datadir}/application-registry/gst-player.applications
%{_datadir}/mime-info/gst-player.keys
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
 
%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%_libdir/*so
%dir %{_includedir}/gst-player-%{version}
%dir %{_includedir}/gst-player-%{version}/gst/
%{_includedir}/gst-player-%{version}/gst/gstvideowidget.h 
%{_includedir}/gst-player-%{version}/gst/gtk-playlist.h

%files nautilus
%defattr(-, root, root)
%{_libdir}/bonobo/servers/Gst-Player-View.server
%{_libdir}/bonobo/servers/Gst-Player-Control.server
%{_libexecdir}/gst-player-view
%{_libexecdir}/gst-player-control
%{_datadir}/gnome-2.0/ui/gst-player-view-ui.xml

%files mozilla
%defattr(-, root, root)
%{_libdir}/mozilla/plugins/libmozstreamer.so
%{_libdir}/mozilla/plugins/libmozstreamer.so.*

%changelog  
* Sun Sep 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- add mozilla plugin package
- don't run libtoolize
- fix deps
- new version

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-3mdk
- rebuild for new rpm

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- fix buildrequires
- fix directory ownership

* Thu Apr 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- new version

* Fri Feb 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- adapt file list
- drop patch 
- new version

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-8mdk
- update patch for new gstreamer

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-7mdk
- mklibname macro
- rebuild against latest gstreamer

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-6mdk
- rebuild against latest ssl

* Wed Jan  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-5mdk
- rebuild against latest gstreamer

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-4mdk
- rebuild

* Sun Dec 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-3mdk
- fix requires of the devel package again

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- fix requires of the devel package
- patch for new gstreamer

* Fri Nov 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- remove one unpackaged file to fix build

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- add icons
- add nautilus view 
- sync with official spec
- 0.4.2

* Fri Jul 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- call gst-register in %%post, else it doesn't work 
- sync with official spec file:
  - comment out the bonobo and nautilus stuff until it works properly
  - Added the needed plugins as Requirements

* Fri Jul 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- add bonobo component
- add menu
- split library package
- adapt package from Charles A Edwards <eslrahc@bellsouth.net>
  - initial Mandrake release
  - modified other spec
